# Generated from flux_base-0.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name flux_base

Name: rubygem-%{gem_name}
Version: 0.3.0
Release: 1%{?dist}
Summary: A mountable engine providing sensible default gems and helpers for new Rails applications
License: MIT
URL: https://github.com/lucis-fluxum/flux_base
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pg) >= 1.2
# BuildRequires: rubygem(pg) < 2
# BuildRequires: rubygem(rubocop) >= 0.84
# BuildRequires: rubygem(rubocop) < 1
BuildArch: noarch

%description
A mountable engine providing sensible default gems and helpers for new Rails
applications.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_instdir}/app
%{gem_instdir}/config
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile

%changelog
* Mon Aug 23 2021 mockbuilder - 0.3.0-1
- Initial package
